/*
 * $RCSfile$
 * $Revision: 237127 $
 *
 * Comments:
 *
 * (C) Copyright ParaSoft Corporation 1996.  All rights reserved.
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * $Author: modtest $          $Locker$
 * $Date: 2013-01-24 14:54:59 +0100 (Cz, 24 sty 2013) $
 * $Log$
 * Revision 1.9  2007/04/23 08:16:20  mali
 * c++test checking - degenerate copy and assignment added
 *
 * Revision 1.8  2007/04/19 13:02:07  dario
 * _errorMessage initializer added
 *
 * Revision 1.7  2006/11/28 12:36:45  dario
 * getErrorMessage return type changed
 *
 * Revision 1.6  2006/11/28 11:33:16  dario
 * getErrorMessage added
 *
 * Revision 1.5  2005/07/12 08:58:11  dario
 * unused functions removed
 *
 * Revision 1.4  2005/07/11 12:36:34  dario
 * syntex error fixed
 *
 * Revision 1.3  2005/07/08 09:37:01  dario
 * macMachineId added
 *
 * Revision 1.2  2005/07/08 09:20:45  dario
 * parasoft header added.
 *
 */

#ifndef _MACHINE_ID_H
#define _MACHINE_ID_H

// MachineId for linux/unix machine
class MachineId
{
public:
    MachineId() : _errorMessage(0) { }
    ~MachineId() { } 

    int getMachineId();
    const char* getErrorMessage() { return _errorMessage; }
private:
    char* _errorMessage;
    
    void setErrorMessage(const char* error);
    int tryHarder(const char* linuxInterfaces[]);

    //Degenerate copy and assignment
    MachineId(const MachineId&);
    MachineId& operator=(const MachineId&);
};

#endif
